<?php
/**
 * PromoCodeApplyStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\MarketingClient\Dto;
use \Ensi\MarketingClient\ObjectSerializer;

/**
 * PromoCodeApplyStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Статусы применения промокода:   * &#x60;success&#x60; - Успех   * &#x60;not_found&#x60; - Промокода нет в системе   * &#x60;not_active&#x60; - Промокод не активен: исчерпан лимит, не соответствует срок действия   * &#x60;not_applied&#x60; - Промокод не удалось применить: отсутствуют подходящие товары в корзине
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PromoCodeApplyStatusEnum
{
    
    /** Успех */
    public const SUCCESS = 'success';
    
    /** Промокод не найден */
    public const NOT_FOUND = 'not_found';
    
    /** Промокод не активен */
    public const NOT_ACTIVE = 'not_active';
    
    /** Промокод нет удалось применить */
    public const NOT_APPLIED = 'not_applied';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::SUCCESS,
            self::NOT_FOUND,
            self::NOT_ACTIVE,
            self::NOT_APPLIED,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::SUCCESS => 'Успех',
            self::NOT_FOUND => 'Промокод не найден',
            self::NOT_ACTIVE => 'Промокод не активен',
            self::NOT_APPLIED => 'Промокод нет удалось применить',
        ];
    }
}


